- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ButtonLayout;'
    index: 3009
    name: Button Layout
    customTagName: buttonLayout
    superclasses:
    - instance: '&IDC_Layout;'
    relationships:
    - instance: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
      customTagName: 'executesTask'

  - relationship: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
    index: 9232
    sourceClassId: '&IDC_ButtonLayout;'
    type: 'executes task from'
    destinationClassId: '&IDC_InstanceSet;'
    siblingRelationshipId: '&IDR_Instance_Set__has_task_executed_by__Button_Layout;'
    singular: yes

  - relationship: '&IDR_Instance_Set__has_task_executed_by__Button_Layout;'
    index: 9233
    sourceClassId: '&IDC_InstanceSet;'
    type: 'has task executed by'
    destinationClassId: '&IDC_ButtonLayout;'
    siblingRelationshipId: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
    singular: no
